/**
Stylesheet: Slideshow.css
	CSS for Slideshow.

License:
	MIT-style license.

HTML:
	<div class="slideshow">
		<div class="slideshow-images" />
		<div class="slideshow-captions" />
		<div class="slideshow-controller" />
		<div class="slideshow-loader" />
		<div class="slideshow-thumbnails" />
	</div>

Notes:
	These next five rules are required for Slideshow to work correctly.
	Override at your own risk.
*/

.slideshow {
    display: block; position: relative; z-index: 0;
}
.slideshow-images {
    display: block; overflow: hidden; position: relative;
}
.slideshow-images img {
    display: block; position: absolute; z-index: 1;
}
/*
.slideshow-thumbnails {
    overflow: hidden;
}
.slideshow-thumbnails ul {
    left: 0; position: absolute; top: 0; width: 100000px;
}
*/

/**
HTML:
	<div class="slideshow-images">
		<img />
		<img />
	</div>

Notes:
	The images div is where the slides are shown.
	Customize the visible / prev / next classes to effect the slideshow transitions: fading, wiping, etc.
*/

.slideshow-images {
    width: 100%;
    height: auto;
    background: url("bg-gray.png");
}
.slideshow-images-visible {
    opacity: 1;
}
.slideshow-images-prev {
    opacity: 0;
}
.slideshow-images-next {
    opacity: 0;
}
.slideshow-images img {
    max-width: 1200px;
    width: 100%;
    float: left;
    top: 0;
    left: 0;
}

/**
Notes:
	These are examples of user-defined styles.
	Customize these classes to your usage of Slideshow.
*/

.slideshow {
    width: 100%;
    height: auto;
    margin: 0 auto;
}
.slideshow a img {
    border: 0;
}

/**
HTML:
	<div class="slideshow-captions">
		...
	</div>

Notes:
	Customize the hidden / visible classes to affect the captions animation.
*/

.slideshow-captions {
    width: 100%;
    padding: 10px 20px;
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: 10000;
    background: #000;
    color: #FFF;
    font-size: 24px;
    overflow: hidden;
}
.slideshow-captions-hidden {
    height: 0; opacity: 0;
}
.slideshow-captions-visible {
    height: 34px; opacity: .7;
}

/**
HTML:
	<div class="slideshow-controller">
		<ul>
			<li class="first"><a /></li>
			<li class="prev"><a /></li>
			<li class="play"><a /></li>
			<li class="next"><a /></li>
			<li class="last"><a /></li>
		</ul>
	</div>

Notes:
	Customize the hidden / visible classes to affect the controller animation.
*/

.slideshow-controller {
    width: 244px;
    height: 48px;
    position: absolute;
    top: 10px;
    right: 10px;
    z-index: 10000;
    background: url(controller.png) no-repeat;
    overflow: hidden;
}
.slideshow-controller * {
    margin: 0; outline: none; padding: 0;
}
.slideshow-controller-hidden {
    opacity: 0;
}
.slideshow-controller-visible {
    opacity: 1;
}
.slideshow-controller a {
    background: url(controller-controls.png) no-repeat -47px 0; cursor: pointer; display: block; height: 18px; left: 112px; overflow: hidden; position: absolute; top: 15px; width: 20px;
}
.slideshow-controller a.active {
    background-position: -47px -18px;
}
.slideshow-controller li {
    list-style: none;
}
.slideshow-controller li.first a {
    background-position: 0 0; left: 36px; width: 19px;
}
.slideshow-controller li.first a.active {
    background-position: 0 -18px;
}
.slideshow-controller li.prev a {
    background-position: -19px 0; left: 68px; width: 28px;
}
.slideshow-controller li.prev a.active {
    background-position: -19px -18px;
}
.slideshow-controller li.play a {
    background-position: -67px 0;
}
.slideshow-controller li.play a.active {
    background-position: -67px -18px;
}
.slideshow-controller li.next a {
    background-position: -87px 0; left: 148px; width: 28px;
}
.slideshow-controller li.next a.active {
    background-position: -87px -18px;
}
.slideshow-controller li.last a {
    background-position: -115px 0; left: 189px; width: 19px;
}
.slideshow-controller li.last a.active {
    background-position: -115px -18px;
}

/**
HTML:
	<div class="slideshow-loader" />

Notes:
	Customize the hidden / visible classes to affect the loader animation.
*/

.slideshow-loader {
    width: 30px;
    height: 30px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10001;
    background: url(loader.png);
}
.slideshow-loader-hidden {
    opacity: 0;
}
.slideshow-loader-visible {
    opacity: 1;
}

/**
HTML:
	<div class="slideshow-thumbnails">
		<ul>
			<li><a class="slideshow-thumbnails-active" /></li>
			<li><a class="slideshow-thumbnails-inactive" /></li>
			...
			<li><a class="slideshow-thumbnails-inactive" /></li>
		</ul>
	</div>

Notes:
	Customize the active / inactive classes to affect the thumbnails animation.
	Use the !important keyword to override FX without affecting performance.
*/

.slideshow-thumbnails {
    width: 100%;
    height: 300px;
    margin-bottom: 40px;
    position: absolute;
    bottom: -340px; /* slideshow-thumbnails' height + footer's height */
    left: 0;
    overflow-y: scroll;
}
.slideshow-thumbnails * {
    margin: 0; padding: 0;
}
.slideshow-thumbnails ul {
    width: 100% !important;
    margin: 10px;
}
.slideshow-thumbnails li {
    float: left; list-style: none;
}
.slideshow-thumbnails a {
    display: block; float: left; outline: none; margin: 5px 7px; padding: 8px;
}
.slideshow-thumbnails a:hover {
    background-color: #ffff66 !important; opacity: 1 !important;
}
.slideshow-thumbnails img {
    width: 180px;
    display: block;
}
.slideshow-thumbnails-hidden {
    background-color: #FFF; opacity: 0;
}
.slideshow-thumbnails-inactive {
    background-color: #FFF; opacity: .5;
}
.slideshow-thumbnails-active {
    background-color: #4dedff; opacity: 1;
}